Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155976 - local variable used before set
Summary: local variable used before set
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus-cd-burner
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-26 12:35 UTC by David Binderman
Modified: 2013-03-06 03:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-26 20:57:20 UTC


Attachments (Terms of Use)

Description David Binderman 2005-04-26 12:35:42 UTC
Description of problem:

I just tried to compile nautilus-cd-burner-2.10.0-2 from Redhat
Fedora Core development tree with the most excellent Intel C
compiler.

The compiler said

nautilus-cd-burner.c(840): remark #592: variable "flags" is used before its
value is set

The source code is

	flags |= NAUTILUS_BURN_RECORDER_WRITE_OVERBURN;

Suggest initialise local variable "flags" before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Zeuthen 2005-04-26 20:57:20 UTC
Please report upstream at http://bugzilla.gnome.org/

Comment 2 David Binderman 2005-04-27 08:42:29 UTC
>Please report upstream at http://bugzilla.gnome.org/

Thanks. I tried to do this, but I couldn't get it to work.

Could I ask you to submit the bug for me, please ?

Otherwise, this bug might be forgotten.


Comment 3 David Zeuthen 2005-04-27 14:57:00 UTC
I've filed it here

 http://bugzilla.gnome.org/show_bug.cgi?id=302178

In general, file GNOME bugs as these against upstream GNOME bugzilla and only
distribution specific bugs in the Red Hat bugzilla.


Note You need to log in before you can comment on or make changes to this bug.